> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bond futures prices from repo rates



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/Tradable/GetBondFuturesPricesFromRepoRates
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Tradable/GetBondFuturesPricesFromRepoRates:
    post:
      tags:
        - Tradable
      summary: Get bond futures prices from repo rates
      operationId: GetBondFuturesPricesFromRepoRates
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetBondFuturesPricesFromRepoRatesRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetBondFuturesPricesFromRepoRatesRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetBondFuturesPricesFromRepoRatesRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetBondFuturesPricesFromRepoRatesRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ApiGetBondFuturesPricesFromRepoRatesResponse
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetBondFuturesPricesFromRepoRatesRequest:
      description: >-
        If both provider selectors are omitted or empty, the request uses the
        organization's market-data provider. Access to the selected provider is
        required.
      example:
        mkt_data_date: '2000-01-23T04:56:07.000+00:00'
        bond_future:
          traded_price: 0.8008281904610115
        repo_rates:
          - 6.027456183070403
          - 6.027456183070403
        eligible_bonds:
          - null
          - null
        pricing_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        market_data_environment_name:
          description: >-
            Name of the market-data environment. Supply this name or
            provider_id, not both.
          nullable: true
          type: string
        provider_id:
          description: >-
            Opaque market-data provider identifier. Supply this identifier or
            market_data_environment_name, not both.
          nullable: true
          type: string
        bond_future:
          $ref: '#/components/schemas/BondFutureByCode'
        eligible_bonds:
          items:
            $ref: '#/components/schemas/BondByCode'
          nullable: true
          type: array
        repo_rates:
          items:
            format: double
            type: number
          nullable: true
          type: array
        pricing_date:
          format: date-time
          type: string
        mkt_data_date:
          format: date-time
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.ApiGetBondFuturesPricesFromRepoRatesRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetBondFuturesPricesFromRepoRatesResponse:
      example:
        prices:
          - 0.8008281904610115
          - 0.8008281904610115
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        prices:
          items:
            format: double
            type: number
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Tradables.ApiGetBondFuturesPricesFromRepoRatesResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    BondFutureByCode:
      example:
        traded_price: 0.8008281904610115
      properties:
        identifier:
          nullable: true
          type: string
        code:
          $ref: '#/components/schemas/InstrumentIdentifier'
        traded_price:
          format: double
          type: number
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.BondFutureByCode, Derivitec.Web.Core
      required:
        - $type
      type: object
    BondByCode:
      required:
        - $type
      type: object
      properties:
        identifier:
          nullable: true
          type: string
        code:
          $ref: '#/components/schemas/InstrumentIdentifier'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.BondByCode, Derivitec.Web.Core
    InstrumentIdentifier:
      example:
        code: code
        market_identification_code: market_identification_code
        identifier_type: Derivitec
      properties:
        code:
          nullable: true
          type: string
        identifier_type:
          enum:
            - Derivitec
            - Ric
            - Bloomberg
            - Isin
            - Figi
            - Sedol
            - RedCode
            - RedPairCode
            - BloombergYellow
            - XIgniteCode
            - CBondsId
            - EdiSecId
            - EdiSymbol
            - NotSet
          type: string
        market_identification_code:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.InstrumentIdentifier,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````